Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_Free_List Class Template Reference

Implements a free list. More...

`#include <Free_List.h>`

Inheritance diagram for ACE_Free_List:

[legend]
List of all members.

## Public Methods
virtual | ~ACE_Free_List (void)
| Destructor - removes all the elements from the free_list. More...
virtual void | add (T *element)=0
| Inserts an element onto the free list (if it isn't past the high water mark). More...
virtual T * | remove (void)=0
| Takes a element off the freelist and returns it. It creates <inc> new elements if the size is at or below the low water mark. More...
virtual size_t | size (void)=0
| Returns the current size of the free list. More...
virtual void | resize (size_t newsize)=0
| Resizes the free list to <newsize>. More...

## Detailed Description

### template<class T>
class ACE_Free_List< T >

Implements a free list.

This class maintains a free list of nodes of type T.

## Constructor & Destructor Documentation

template<class T>
ACE_Free_List< T >::~ACE_Free_List | ( | void |  | ) | `[virtual]`

| Destructor - removes all the elements from the free_list.

## Member Function Documentation

template<class T>
virtual void ACE_Free_List< T >::add | ( | T * | element | ) | `[pure virtual]`

| Inserts an element onto the free list (if it isn't past the high water mark). Reimplemented in ACE_Locked_Free_List.

template<class T>
virtual T* ACE_Free_List< T >::remove | ( | void |  | ) | `[pure virtual]`

| Takes a element off the freelist and returns it. It creates <inc> new elements if the size is at or below the low water mark. Reimplemented in ACE_Locked_Free_List, and ACE_Locked_Free_List< ACE_Thread_Descriptor, ACE_SYNCH_MUTEX >.

template<class T>
virtual void ACE_Free_List< T >::resize | ( | size_t | newsize | ) | `[pure virtual]`

| Resizes the free list to <newsize>. Reimplemented in ACE_Locked_Free_List, and ACE_Locked_Free_List< ACE_Thread_Descriptor, ACE_SYNCH_MUTEX >.

template<class T>
virtual size_t ACE_Free_List< T >::size | ( | void |  | ) | `[pure virtual]`

| Returns the current size of the free list. Reimplemented in ACE_Locked_Free_List, and ACE_Locked_Free_List< ACE_Thread_Descriptor, ACE_SYNCH_MUTEX >.

The documentation for this class was generated from the following files:

- Free_List.h
- Free_List.cpp